Item Logo
Wms apiApi referenceReceipt query api

RN Header Level Query

RN Header Level Query API

RN Header Level Query API is used in a Warehouse Management System to retrieve header-level details from a Receipt Notification. This article introduces the general RN Header Level Query API for easily understanding and applying this API.

Introduction

RN Header Level Query API provides information such as receipt number, create date, status and carrier involved in this receipt process. It is typically utilized for tracking the broader details of a receipt, without diving into item-level specifics, allowing users to manage and verify incoming shipments at a high level.

API Request

API: POST /edi/inbound/receipt-level/search-by-paging Body Request:

Body Parameter

Required

Description

Note

FacilityID

Y

Facility ID

"889"

CustomerID

Y

Customer ID

"AUKINT0001"

CompanyID

Y

Company ID

"LT"

PONo

N

PO Number

"8957515451-10"

ReferenceNo

N

Reference Number

"LIV2020021804-10"

UpdatedWhenFrom

N

Updated Date From

"2022-02-01T00:00:00-08:00"

UpdatedWhenTo

N

Updated Date To

"2022-02-03T00:00:00-08:00"

Paging

N

Page Object

"PageNo": 2

API Return

It returns the receipt list with the header info, for more detail, please refer to the following example.

Example

Request

json { "FacilityID":"889", "CustomerID":"AUKINT0001", "CompanyID":"LT", "UpdatedWhenFrom": "2022-02-01T00:00:00-08:00", "UpdatedWhenTo": "2022-02-03T00:00:00-08:00", "Paging": { "PageNo": 2 } }

Response

json // Success return { "results": { "head": [ "Facility", "Customer", "Receipt #", "Status", "Title", "PO #", "Ref.#", "Carrier", "Container No", "BOL", "Tracking No", "SCAC Code", "Appointment Time", "In Yard Time", "Dock Check In Time", "Dock Check Out Time", "Devanned Date", "Equipment Type", "Received Time", "Received Date", "Shipping Instruction", "InvoiceNo", "Receipt Dynamic Property", "Source", "Create Time", "Update Time" ], "data": [] }, "paging": { "totalCount": 0, "pageNo": 1, "totalPage": 0, "startIndex": 1, "endIndex": 0, "limit": 100 } }